Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.tuple
Class TupleEntryChainIterator

    java.lang.Object
      cascading.tuple.TupleEntryIterator
          cascading.tuple.TupleEntryChainIterator

All Implemented Interfaces:
  Closeable, Iterator<TupleEntry>

    public class TupleEntryChainIterator

extends TupleEntryIterator

TupleEntryChainIterator chains the given Iterators into a single Iterator.

As one iterator is completed, it will be closed and a new one will start.

Constructor Summary
`TupleEntryChainIterator(Fields fields, Iterator<Tuple>... iterators)`

Method Summary
`void` | `close()` Method close closes all underlying resources.
`protected void` | `closeCurrent()`
`boolean` | `hasNext()` Method hasNext returns true if there is a next TupleEntry
`TupleEntry` | `next()` Method next returns the next TupleEntry.
`void` | `remove()` Method remove removes the current TupleEntry from the underlying collection.
`void` | `reset(Iterator<Tuple>... iterators)`

Methods inherited from class cascading.tuple.TupleEntryIterator
`getFields, getTupleEntry`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TupleEntryChainIterator

    public TupleEntryChainIterator(Fields fields,
                                   Iterator<Tuple>... iterators)

Method Detail

### hasNext

    public boolean hasNext()

  Method hasNext returns true if there is a next TupleEntry

  Returns:
    boolean

### reset

    public void reset(Iterator<Tuple>... iterators)

### next

    public TupleEntry next()

  Method next returns the next TupleEntry.

  Returns:
    TupleEntry

### remove

    public void remove()

  Method remove removes the current TupleEntry from the underlying collection.

### close

    public void close()

  Method close closes all underlying resources.

### closeCurrent

    protected void closeCurrent()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.